Page MenuHomePhabricator

VisualEditor: Warn if editing a reference that is used multiple times
Closed, ResolvedPublic

Description

<< When editing a reference, there is no indication at all if it is used multiple times throughout the article. This makes it very easy to screw up references, e.g. when you replace a ref for one sentence by changing it and it gets propagated throughout the article. WS (talk) 11:45, 13 August 2013 (UTC) >>


Version: unspecified
Severity: enhancement

Details

Reference
bz52792

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 2:10 AM
bzimport set Reference to bz52792.
Elitre created this task.Aug 13 2013, 11:56 AM

Change 169270 had a related patch set uploaded by Alex Monk:
Show warning on reference dialog when editing a reference used in more than one place

https://gerrit.wikimedia.org/r/169270

Change 169270 merged by jenkins-bot:
Show warning on reference dialog when editing a reference used in more than one place

https://gerrit.wikimedia.org/r/169270

The warning "This reference is used [n] times on this page." appears for Basic citations only - verified the fix in beta, test2, and production.

Bug 73566 was filed to apply the same warning to multiple instances of any kind of citations.